Index: palm/trunk/SOURCE/pmc_child_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_child_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/pmc_child_mod.f90	(revision 2716)
@@ -26,4 +26,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2599 2017-11-01 13:18:45Z hellstea
 ! Some cleanup and commenting improvements only.
 ! 
Index: palm/trunk/SOURCE/pmc_general_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_general_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/pmc_general_mod.f90	(revision 2716)
@@ -26,4 +26,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2599 2017-11-01 13:18:45Z hellstea
 ! Some cleanup and commenting improvements only.
 ! 
Index: palm/trunk/SOURCE/pmc_handle_communicator_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_handle_communicator_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/pmc_handle_communicator_mod.f90	(revision 2716)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
 ! Bugfix, give Intent(inout) attributes in routine reading nestpar-namelist (MS)
 ! 
Index: palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 2716)
@@ -25,7 +25,14 @@
 ! -----------------
 ! $Id$
-! Bugfix in get_topography_top_index
+! Corrected "Former revisions" section
+! 
+! 2701 2017-12-15 15:40:50Z suehring
+! Changes from last commit documented
 ! 
 ! 2698 2017-12-14 18:46:24Z suehring
+! Bugfix in get_topography_top_index
+!
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
 ! - Bugfix in init_tke_factor (MS)
 ! 
Index: palm/trunk/SOURCE/pmc_mpi_wrapper_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_mpi_wrapper_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/pmc_mpi_wrapper_mod.f90	(revision 2716)
@@ -26,4 +26,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2599 2017-11-01 13:18:45Z hellstea
 ! Some cleanup and commenting improvements only.
 ! 
Index: palm/trunk/SOURCE/pmc_parent_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_parent_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/pmc_parent_mod.f90	(revision 2716)
@@ -26,4 +26,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2599 2017-11-01 13:18:45Z hellstea
 ! Some cleanup and commenting improvements only.
 ! 
Index: palm/trunk/SOURCE/poisfft_mod.f90
===================================================================
--- palm/trunk/SOURCE/poisfft_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/poisfft_mod.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2300 2017-06-29 13:31:14Z raasch
 ! settings depending on host variable removed or replaced by loop_optimization
 ! 
Index: palm/trunk/SOURCE/poismg_mod.f90
===================================================================
--- palm/trunk/SOURCE/poismg_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/poismg_mod.f90	(revision 2716)
@@ -25,5 +25,9 @@
 ! -----------------
 ! $Id$
-! - Large-scale forcing implemented (MS)
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+! Large-scale forcing implemented (MS)
 ! 
 ! 2298 2017-06-29 09:28:18Z raasch
Index: palm/trunk/SOURCE/poismg_noopt_mod.f90
===================================================================
--- palm/trunk/SOURCE/poismg_noopt_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/poismg_noopt_mod.f90	(revision 2716)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! - Change in file header (GPL part)
 ! - Rename file into poismg_noopt_mod
 ! - Modularize poismg_noopt - initialization of masking flags moved from 
Index: palm/trunk/SOURCE/posix_calls_from_fortran.f90
===================================================================
--- palm/trunk/SOURCE/posix_calls_from_fortran.f90	(revision 2715)
+++ palm/trunk/SOURCE/posix_calls_from_fortran.f90	(revision 2716)
@@ -24,5 +24,9 @@
 ! Former revisions:
 ! -----------------
-! $Id: posix_calls_from_fortran.f90 1986 2016-08-10 14:07:17Z gronemeier $
+! $Id: posix_calls_from_fortran.f90 2696 2017-12-14 17:12:51Z kanani $
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
 !
 ! 1986 2016-08-10 14:07:17Z gronemeier
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 2715)
+++ palm/trunk/SOURCE/pres.f90	(revision 2716)
@@ -24,6 +24,10 @@
 ! Former revisions:
 ! -----------------
-! Id: pres.f90 2298 2017-06-29 09:28:18Z raasch $
-! - poismg_noopt modularized (MS)
+! Id: pres.f90 2696 2017-12-14 17:12:51Z kanani $
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+! poismg_noopt modularized (MS)
 ! 
 ! 2298 2017-06-29 09:28:18Z raasch
Index: palm/trunk/SOURCE/print_1d.f90
===================================================================
--- palm/trunk/SOURCE/print_1d.f90	(revision 2715)
+++ palm/trunk/SOURCE/print_1d.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 2715)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 2716)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! - Change in file header (GPL part)
 ! - Moved TKE equation to tcm_prognostic (TG)
 ! - Added switch for chemical reactions (RF, FK)
Index: palm/trunk/SOURCE/progress_bar_mod.f90
===================================================================
--- palm/trunk/SOURCE/progress_bar_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/progress_bar_mod.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2716)
@@ -25,10 +25,20 @@
 ! -----------------
 ! $Id$
-! Bugfix, in average radiation case calculate exner function before using it.
+! Corrected "Former revisions" section
+! 
+! 2707 2017-12-18 18:34:46Z suehring
+! Changes from last commit documented
 ! 
 ! 2706 2017-12-18 18:33:49Z suehring
-! Bugfix in get_topography_top_index
+! Bugfix, in average radiation case calculate exner function before using it.
+!
+! 2701 2017-12-15 15:40:50Z suehring
+! Changes from last commit documented
 ! 
 ! 2698 2017-12-14 18:46:24Z suehring
+! Bugfix in get_topography_top_index
+!
+! 2696 2017-12-14 17:12:51Z kanani
+! - Change in file header (GPL part)
 ! - Improved reading/writing of SVF from/to file (BM)
 ! - Bugfixes concerning RRTMG as well as average_radiation options (M. Salim)
Index: palm/trunk/SOURCE/random_function_mod.f90
===================================================================
--- palm/trunk/SOURCE/random_function_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/random_function_mod.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/random_gauss.f90
===================================================================
--- palm/trunk/SOURCE/random_gauss.f90	(revision 2715)
+++ palm/trunk/SOURCE/random_gauss.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/random_generator_parallel_mod.f90
===================================================================
--- palm/trunk/SOURCE/random_generator_parallel_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/random_generator_parallel_mod.f90	(revision 2716)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
 ! Formatting (MS)
 ! 
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 2715)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2706 2017-12-18 18:33:49Z suehring
+!
+! 2696 2017-12-14 17:12:51Z kanani
+! - Change in file header (GPL part)
 ! - kh_av, km_av (TG)
 ! - Implementation of chemistry module (FK)
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 2715)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 2716)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
 ! + rans_mode, turbulence_closure (TG)
 ! 
Index: palm/trunk/SOURCE/run_control.f90
===================================================================
--- palm/trunk/SOURCE/run_control.f90	(revision 2715)
+++ palm/trunk/SOURCE/run_control.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/set_slicer_attributes_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/set_slicer_attributes_dvrp.f90	(revision 2715)
+++ palm/trunk/SOURCE/set_slicer_attributes_dvrp.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/sor.f90
===================================================================
--- palm/trunk/SOURCE/sor.f90	(revision 2715)
+++ palm/trunk/SOURCE/sor.f90	(revision 2716)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! - Change in file header (GPL part)
 ! - Large-scale forcing implemented (MS)
 ! 
Index: palm/trunk/SOURCE/spectra_mod.f90
===================================================================
--- palm/trunk/SOURCE/spectra_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/spectra_mod.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2216 2017-04-28 12:54:20Z suehring
 !
 ! 2193 2017-03-22 04:21:28Z raasch
Index: palm/trunk/SOURCE/subsidence_mod.f90
===================================================================
--- palm/trunk/SOURCE/subsidence_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/subsidence_mod.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2233 2017-05-30 18:08:54Z suehring
 !
 ! 2232 2017-05-30 17:47:52Z suehring
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 2715)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 2716)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! - Change in file header (GPL part)
 ! - Implementation of uv exposure model (FK)
 ! - output of diss_av, kh_av, km_av (turbulence_closure_mod) (TG)
Index: palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- palm/trunk/SOURCE/surface_coupler.f90	(revision 2715)
+++ palm/trunk/SOURCE/surface_coupler.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2233 2017-05-30 18:08:54Z suehring
 !
 ! 2232 2017-05-30 17:47:52Z suehring
Index: palm/trunk/SOURCE/surface_layer_fluxes_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 2716)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! - Change in file header (GPL part)
 ! - Implementation of chemistry module (FK)
 ! - Added calculation of pt1 and qv1 for all surface types. Added calculation of
Index: palm/trunk/SOURCE/surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/surface_mod.f90	(revision 2716)
@@ -26,7 +26,13 @@
 ! -----------------
 ! $Id$
-! In case of restarts read and write pt_surface
+! Changes from last commit documented
 ! 
 ! 2706 2017-12-18 18:33:49Z suehring
+! In case of restarts read and write pt_surface
+!
+! 2698 2017-12-14 18:46:24Z suehring
+!
+! 2696 2017-12-14 17:12:51Z kanani
+! - Change in file header (GPL part)
 ! - Missing code for css added to surf_*, handling of surface_csflux updated (FK)
 ! - Bugfixes in reading/writing restart data in case several surface types are 
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 2715)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 2716)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
 ! Moved TKE to turbulence_closure_mod (TG)
 ! Implementation of chemistry module (FK)
Index: palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90
===================================================================
--- palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2669 2017-12-06 16:03:27Z raasch
 ! unit number for file containing turbulence generator data changed to 90
 ! bugfix: preprocessor directives added for MPI specific code
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 2715)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 2716)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! - Change in file header (GPL part)
 ! - Implementation of uv exposure model (FK)
 ! - Moved vnest_boundary_conds_khkm from tcm_diffusivities to here (TG)
Index: palm/trunk/SOURCE/time_integration_spinup.f90
===================================================================
--- palm/trunk/SOURCE/time_integration_spinup.f90	(revision 2715)
+++ palm/trunk/SOURCE/time_integration_spinup.f90	(revision 2716)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
 ! Added radiation interactions (moved from USM) (MS)
 ! 
Index: palm/trunk/SOURCE/time_to_string.f90
===================================================================
--- palm/trunk/SOURCE/time_to_string.f90	(revision 2715)
+++ palm/trunk/SOURCE/time_to_string.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/timestep.f90
===================================================================
--- palm/trunk/SOURCE/timestep.f90	(revision 2715)
+++ palm/trunk/SOURCE/timestep.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2365 2017-08-21 14:59:59Z kanani
 ! Vertical grid nesting: Sync fine and coarse grid timestep (SadiqHuq)
 ! 
Index: palm/trunk/SOURCE/timestep_scheme_steering.f90
===================================================================
--- palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 2715)
+++ palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/transpose.f90
===================================================================
--- palm/trunk/SOURCE/transpose.f90	(revision 2715)
+++ palm/trunk/SOURCE/transpose.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2119 2017-01-17 16:51:50Z raasch
 !
 ! 2118 2017-01-17 16:38:49Z raasch
Index: palm/trunk/SOURCE/tridia_solver_mod.f90
===================================================================
--- palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2119 2017-01-17 16:51:50Z raasch
 !
 ! 2118 2017-01-17 16:38:49Z raasch
Index: palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 2716)
@@ -25,7 +25,13 @@
 ! -----------------
 ! $Id$
-! Bugfix in get_topography_top_index
+! Corrected "Former revisions" section
+! 
+! 2701 2017-12-15 15:40:50Z suehring
+! Changes from last commit documented
 ! 
 ! 2698 2017-12-14 18:46:24Z suehring
+! Bugfix in get_topography_top_index
+!
+! 2696 2017-12-14 17:12:51Z kanani
 ! Initial revision
 !
Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2715)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2716)
@@ -26,7 +26,14 @@
 ! -----------------
 ! $Id$
-! Workaround for calculation of r_a
+! Corrected "Former revisions" section
+! 
+! 2705 2017-12-18 11:26:23Z maronga
+! Changes from last commit documented
 ! 
 ! 2703 2017-12-15 20:12:38Z maronga
+! Workaround for calculation of r_a
+!
+! 2696 2017-12-14 17:12:51Z kanani
+! - Change in file header (GPL part)
 ! - Bugfix in calculation of pt_surface and related fluxes. (BM)
 ! - Do not write surface temperatures onto pt array as this might cause 
@@ -56,4 +63,11 @@
 ! 
 ! 2583 2017-10-26 13:58:38Z knoop
+! Bugfix: reverted MPI_Win_allocate_cptr introduction in last commit 
+!
+! 2582 2017-10-26 13:19:46Z hellstea
+! Workaround for gnufortran compiler added in usm_calc_svf. CALL MPI_Win_allocate is
+! replaced by CALL MPI_Win_allocate_cptr if defined ( __gnufortran ).
+!
+! 2544 2017-10-13 18:09:32Z maronga
 ! Date and time quantities are now read from date_and_time_mod. Solar constant is
 ! read from radiation_model_mod
Index: palm/trunk/SOURCE/user_3d_data_averaging.f90
===================================================================
--- palm/trunk/SOURCE/user_3d_data_averaging.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_3d_data_averaging.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/user_actions.f90
===================================================================
--- palm/trunk/SOURCE/user_actions.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_actions.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/user_additional_routines.f90
===================================================================
--- palm/trunk/SOURCE/user_additional_routines.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_additional_routines.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/user_check_data_output.f90
===================================================================
--- palm/trunk/SOURCE/user_check_data_output.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_check_data_output.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/user_check_data_output_pr.f90
===================================================================
--- palm/trunk/SOURCE/user_check_data_output_pr.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_check_data_output_pr.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/user_check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/user_check_parameters.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_check_parameters.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/user_data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_2d.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_data_output_2d.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2512 2017-10-04 08:26:59Z raasch
 ! ghost layer points removed from output array local_pf
 ! 
Index: palm/trunk/SOURCE/user_data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_3d.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_data_output_3d.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2512 2017-10-04 08:26:59Z raasch
 ! ghost layer points removed from output array local_pf
 ! 
Index: palm/trunk/SOURCE/user_data_output_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_dvrp.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_data_output_dvrp.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/user_data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_mask.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_data_output_mask.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/user_define_netcdf_grid.f90
===================================================================
--- palm/trunk/SOURCE/user_define_netcdf_grid.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_define_netcdf_grid.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2271 2017-06-09 12:34:55Z sward
 ! found = .TRUE. added to grid definition in examples to avoid warning message
 ! 
Index: palm/trunk/SOURCE/user_dvrp_coltab.f90
===================================================================
--- palm/trunk/SOURCE/user_dvrp_coltab.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_dvrp_coltab.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/user_flight.f90
===================================================================
--- palm/trunk/SOURCE/user_flight.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_flight.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/user_header.f90
===================================================================
--- palm/trunk/SOURCE/user_header.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_header.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/user_init.f90
===================================================================
--- palm/trunk/SOURCE/user_init.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_init.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/user_init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/user_init_3d_model.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_init_3d_model.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2618 2017-11-16 15:37:30Z suehring
 ! Provide example for user-defined initialization of surface-related quantities
 ! 
Index: palm/trunk/SOURCE/user_init_flight.f90
===================================================================
--- palm/trunk/SOURCE/user_init_flight.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_init_flight.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/user_init_grid.f90
===================================================================
--- palm/trunk/SOURCE/user_init_grid.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_init_grid.f90	(revision 2716)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
 ! Extended argument list (MS)
 ! 
Index: palm/trunk/SOURCE/user_init_land_surface.f90
===================================================================
--- palm/trunk/SOURCE/user_init_land_surface.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_init_land_surface.f90	(revision 2716)
@@ -25,5 +25,11 @@
 ! -----------------
 ! $Id$
-
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2233 2017-05-30 18:08:54Z suehring
+!
 ! 2232 2017-05-30 17:47:52Z suehring
 ! Load surface_mod
Index: palm/trunk/SOURCE/user_init_plant_canopy.f90
===================================================================
--- palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
Index: palm/trunk/SOURCE/user_init_radiation.f90
===================================================================
--- palm/trunk/SOURCE/user_init_radiation.f90	(revision 2715)
+++ palm/trunk/SOURCE/user_init_radiation.f90	(revision 2716)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Change in file header (GPL part)
+!
+! 2101 2017-01-05 16:42:31Z suehring
 ! 
 ! 2000 2016-08-20 18:09:15Z knoop
